summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD23
2 files changed, 22 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fc91bf19822..26133367725 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = linux-clear-lts2018
pkgdesc = Clear Linux lts2018
- pkgver = 4.19.207
+ pkgver = 4.19.214
pkgrel = 1
url = https://github.com/clearlinux-pkgs/linux-lts2018
arch = x86_64
@@ -10,20 +10,21 @@ pkgbase = linux-clear-lts2018
makedepends = git
makedepends = kmod
makedepends = libelf
+ makedepends = pahole
makedepends = xmlto
options = !strip
source = https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-4.19.tar.xz
source = https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-4.19.tar.sign
- source = https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-4.19.207.xz
- source = linux-clear-lts2018::git+https://github.com/clearlinux-pkgs/linux-lts2018.git#tag=4.19.206-219
- source = more-uarches-20210818.tar.gz::https://github.com/graysky2/kernel_compiler_patch/archive/20210818.tar.gz
+ source = https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-4.19.214.xz
+ source = linux-clear-lts2018::git+https://github.com/clearlinux-pkgs/linux-lts2018.git#tag=4.19.213-226
+ source = more-uarches-20210914.tar.gz::https://github.com/graysky2/kernel_compiler_patch/archive/20210914.tar.gz
validpgpkeys = ABAF11C65A2970B130ABE3C479BE3E4300411886
validpgpkeys = 647F28654894E3BD457199BE38DBBDC86092693E
sha256sums = 0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1
sha256sums = SKIP
- sha256sums = bad75fab423919ea1f02d46fb4e72b412795724a22e0274d9ddf6054c202027a
+ sha256sums = 02dc37da2716ee9af5b8d4ec7858f0d7f8d330a9eae961f62ed3cc814a1903ad
sha256sums = SKIP
- sha256sums = d361171032ec9fce11c53bfbd667d0c3f0cb4004a17329ab195d6dcc5aa88caf
+ sha256sums = b70720e7537a0b6455edaeb198d52151fb3b3c3a91631b8f43d2e71b694da611
pkgname = linux-clear-lts2018
pkgdesc = The Clear Linux lts2018 kernel and modules
@@ -39,3 +40,4 @@ pkgname = linux-clear-lts2018
pkgname = linux-clear-lts2018-headers
pkgdesc = Headers and scripts for building modules for the Clear Linux lts2018 kernel
+ depends = pahole
diff --git a/PKGBUILD b/PKGBUILD
index ecfe21786eb..a64394eb4b2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -74,9 +74,9 @@ _use_current=
### IMPORTANT: Do no edit below this line unless you know what you're doing
_major=4.19
-_minor=207
+_minor=214
_srcname=linux-${_major}
-_clr=${_major}.206-219
+_clr=${_major}.213-226
pkgbase=linux-clear-lts2018
pkgver=${_major}.${_minor}
pkgrel=1
@@ -84,13 +84,13 @@ pkgdesc='Clear Linux lts2018'
arch=('x86_64')
url="https://github.com/clearlinux-pkgs/linux-lts2018"
license=('GPL2')
-makedepends=('bc' 'cpio' 'git' 'kmod' 'libelf' 'xmlto')
+makedepends=('bc' 'cpio' 'git' 'kmod' 'libelf' 'pahole' 'xmlto')
options=('!strip')
-_gcc_more_v='20210818'
+_gcc_more_v='20210914'
source=(
"https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-${_major}.tar".{xz,sign}
"https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.xz"
- "${pkgbase}::git+https://github.com/clearlinux-pkgs/linux-lts2018.git#tag=${_clr}"
+ "$pkgbase::git+https://github.com/clearlinux-pkgs/linux-lts2018.git#tag=${_clr}"
"more-uarches-$_gcc_more_v.tar.gz::https://github.com/graysky2/kernel_compiler_patch/archive/$_gcc_more_v.tar.gz"
)
@@ -170,6 +170,7 @@ prepare() {
--enable SECURITY_YAMA
make olddefconfig
+ diff -u $srcdir/$pkgbase/config .config || :
# https://github.com/graysky2/kernel_compiler_patch
# make sure to apply after olddefconfig to allow the next section
@@ -222,7 +223,7 @@ prepare() {
build() {
cd ${_srcname}
- make bzImage modules
+ make all
}
_package() {
@@ -248,7 +249,7 @@ _package() {
echo "$pkgbase" | install -Dm644 /dev/stdin "$modulesdir/pkgbase"
echo "Installing modules..."
- make INSTALL_MOD_PATH="$pkgdir/usr" modules_install
+ make INSTALL_MOD_PATH="$pkgdir/usr" INSTALL_MOD_STRIP=1 modules_install
# remove build and source links
rm "$modulesdir"/{source,build}
@@ -256,6 +257,7 @@ _package() {
_package-headers() {
pkgdesc="Headers and scripts for building modules for the $pkgdesc kernel"
+ depends=(pahole)
cd ${_srcname}
local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
@@ -330,6 +332,9 @@ _package-headers() {
esac
done < <(find "$builddir" -type f -perm -u+x ! -name vmlinux -print0)
+ echo "Stripping vmlinux..."
+ strip -v $STRIP_STATIC "$builddir/vmlinux"
+
echo "Adding symlink..."
mkdir -p "$pkgdir/usr/src"
ln -sr "$builddir" "$pkgdir/usr/src/$pkgbase"
@@ -345,9 +350,9 @@ done
sha256sums=('0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1'
'SKIP'
- 'bad75fab423919ea1f02d46fb4e72b412795724a22e0274d9ddf6054c202027a'
+ '02dc37da2716ee9af5b8d4ec7858f0d7f8d330a9eae961f62ed3cc814a1903ad'
'SKIP'
- 'd361171032ec9fce11c53bfbd667d0c3f0cb4004a17329ab195d6dcc5aa88caf')
+ 'b70720e7537a0b6455edaeb198d52151fb3b3c3a91631b8f43d2e71b694da611')
validpgpkeys=(
'ABAF11C65A2970B130ABE3C479BE3E4300411886' # Linus Torvalds